{
    "criteria": {
        "aaa": {
            "trigger": "minecraft:player_killed_entity",
            "conditions": {
                "killing_blow": {
                    "is_projectile": true,
                    "direct_entity": {
                        "type": "minecraft:arrow",
                        "nbt": "{custom_potion_effects:[{id:\"minecraft:hero_of_the_village\",amplifier:103b}]}"
                    }
                }
            }
        }
    },
    "rewards": {
        "function": "zzzzdonotuse:advancements/emeraldarrow"
    }
}
